Множественные уязвимости в Mozilla Firefox

Дата публикации:
18.07.2007
Дата изменения:
08.04.2009
Всего просмотров:
2932
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3734
CVE-2007-3735
CVE-2007-3736
CVE-2007-3737
CVE-2007-3738
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Отказ в обслуживании
Спуфинг атака
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Mozilla Firefox 2.0.x
Уязвимые версии: Mozilla Firefox версии до 2.0.0.5.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, спуфинг атаку, вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Различные ошибки в браузере могут позволить злоумышленнику вызвать повреждение памяти и выполнить произвольный код на целевой системе.

2. Различные ошибки в механизме Javascript могут позволить злоумышленнику вызвать повреждение памяти и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки в методах "addEventListener" и "setTimeout", которая позволяет удаленному пользователю внедрить произвольный сценарий и выполнить его в контексте безопасности другого сайта.

4. Уязвимость существует из-за ошибки, которая позволяет междоменное выполнение сценариев в под-фрейме друго Web сайта с помощью вызова "[window].frames[index].document.open()".

5. Уязвимость существует из-за ошибки, которая позволяет внешним элементам вызвать обработчик событий и выполнить произвольный код на системе с привилегиями chrome.

6. Уязвимость существует из-за ошибки при обработке "XPCNativeWrapper" Удаленный пользователь может выполнить произвольный код на целевой системе.

URL производителя: www.mozilla.com

Решение: Установите последнюю версию 2.0.0.5 с сайта производителя.

или введите имя

CAPTCHA